program zzz

use sep

complex,allocatable		:: green(:,:,:,:)

 call sep_init()
 call sep_begin_prog()

   call from_history("n1",n1); call from_history("d1",d1); call from_history("o1",o1)  
   call from_history("n2",n2) ; call from_history("d2",d2) ; call from_history("o2",o2)
   call from_history("n3",n3); call from_history("d3",d3); call from_history("o3",o3)
   call from_history("n5",n5); call from_history("d5",d5); call from_history("o5",o5)

   allocate(green(n1,n2,n3,2))
   do iw=1,n5
      call sreed("in",green,8*n1*n2*n3*1)
      write(0,*) real(green)
   end do

 call sep_end_prog()

end program
